Subject: bug#23457: 24.5; interactive use of next-line and previous-line (holding down C-n or C-p) lag in a buffer with all spaces and newlines

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 May 2016 10:03:05 +0300

> From: James McClain <[email-masked]>
> Date: Thu, 5 May 2016 17:34:36 -0700
> Cc: [email-masked]
> 
> I had cleartype on, but turning it off does not change the problem at all.
> The task manager shows about a 50% load, which is quite high for emacs.
> The processor is an intel core m 5y10c.
> 
> I also just tested it on Linux Mint 17, 64-bit. Compiling
> emacs-25.0.93.tar.xz from source.
> This machine has a Intel i7-4930K processor, and the problem still happens.

Does that GNU/Linux system has anything in common with your Windows
box?  The display, the keyboard, the filesystem, anything else?  Do
you have some common setup of any ind that makes those systems
similar?

> If you use my recipe and turn on whitespace-mode before you hold C-p,
> do all the spaces show?

Yes, the spaces show.

> I would be happen to send you a video, this has worked on every
> machine I have tested it on.

I believe you.  I just cannot reproduce this on any machine to which I
have access.

How many such empty lines do you have in the buffer where this lag
happens?  Your original recipe talked about a single line; is that all
that's needed, or are more such lines required?

Does the same happen in "emacs -Q -nw", i.e. a non-GUI (text-mode)
session?

Thanks.